- Qt 5.3
- Qt Multimedia
- C++ Classes
- QCamera
- Qt 5.3.2 Reference Documentation

# Obsolete Members for QCamera

The following members of class QCamera are obsolete. They are provided to keep old source code working. We strongly advise against using them in new code.

## Static Public Members

QList<QByteArray> | availableDevices()`(obsolete)`
QString | deviceDescription(const QByteArray & device)`(obsolete)`

## Member Function Documentation

### QList<QByteArray> QCamera::availableDevices()`[static]`

Returns a list of camera device's available from the default service provider.

See also QCameraInfo::availableCameras().

### QString QCamera::deviceDescription(const QByteArray & device)`[static]`

Returns the description of the device.

See also QCameraInfo::availableCameras() and QCameraInfo::description().